# Deposit received notification

Once the end-user sends funds from their wallet, transaction-specific events will be broadcasted on the blockchain. We listen for such blockchain events and will send them to you via an endpoint provided by you when creating your business through the dashboard.

A notification will be sent once the transaction is added in a block and there is 1 blockchain confirmation.

{% hint style="info" %}
If our initial attempt to send a notification fails, we will retry sending it every 2 minutes for up to 24 hours. Once the notification is successfully delivered, all retries will stop. If unsuccessful after 24 hours, retry attempts will cease
{% endhint %}

> This callback notification is sent on your `depositReceivedCallbackUrl` endpoint.

```javascript
{
  "actualDepositAmount": 0.14840339,
  "actualDisplayAmount": 15,
  "clientPaymentId": "payment-example-3",
  "depositAddress": "ltc1q3t8r0gmypwzaqzjfck2un704rc4mepaanlc9ey",
  "depositCurrency": "LTC",
  "depositId": "5979560a-27f1-3558-95af-02d7f64a3f25",
  "displayCurrency": "EUR",
  "displayServiceFee": 0.08,
  "expectedDepositAmount": 0.14840339,
  "expectedDisplayAmount": 15,
  "network": "LTC",
  "expirationTime": 1611758532,
  "onChainFee": 0.00000426,
  "paymentId": "9c1bfc14-e658-446d-bba7-f7ea8eb21756",
  "paymentReceivedAt": 1611757019,
  "paymentRequestedAt": 1611756744,
  "rateType": "FIXED",
  "settlementAmount": 15,
  "settlementCurrency": "EUR",
  "settlementServiceFee": 0.08,
  "status": "CONFIRMED",
  "fromAddress": "ltc1qtwcue0py8jzjyecky45303xqlyy4sltw28kpg3",
  "transactionId": "49fd4601aeac8694f014b9d27714ccf639db427ea6ad3c0b831eb498497c80e0",
  "displayRateDepegLossAmount":null
  "settlementRateDepegLossAmount":null,
  "settlementDistributedUserServiceFee":"0",
  "displayDistributedUserServiceFee": "0"
}
```

{% hint style="info" %}
The networks of some coins like `XRP` and `XLM` are extremely fast. It takes literally \~1 second to verify and confirm a transaction once it is broadcast on the network.
{% endhint %}

{% hint style="info" %}
On average a Bitcoin transaction to be included in a block requires \~15 minutes. By using Monolo you'll be able to credit Bitcoin deposits in less than 10 seconds.
{% endhint %}

### Schema

| Parameter                           | Type   | Description                                                                                                                                             |
| ----------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| actualDepositAmount                 | number | Actual amount deposited in cryptocurrency (`depositCurrency`) by the end-user. Can be different than the `expectedDepositAmount`                        |
| actualDisplayAmount                 | number | Actual amount deposited in `displayCurrency` currency (e.g.`EUR, USD, GBP, TRY etc..)`Can be different than `expectedDisplayAmount`                     |
| clientPaymentId                     | string | Unique payment identifier provided by the merchant in the request body of POST `/payments`                                                              |
| depositCurrency                     | string | Cryptocurrency that has been deposited                                                                                                                  |
| settlementAmount                    | number | Amount deposited in `settlementCurrency`                                                                                                                |
| settlementCurrency                  | string | The currency in which the merchant's account was credited because of the deposit (can be either fiat or cryptocurrency)                                 |
| depositId                           | string | Unique Monolo deposit identifier `UUID`                                                                                                                 |
| onChainFee                          | number | Blockchain cost for this deposit paid by the end-user                                                                                                   |
| depositAddress                      | string | Your unique blockchain address supplied by Monolo where the deposit was received.                                                                       |
| fromAddress                         | string | The blockchain address from which the payment originated.                                                                                               |
| transactionId                       | string | Unique blockchain transaction ID of the deposit                                                                                                         |
| displayCurrency                     | string | The fiat currency chosen for display (denomination) purposes                                                                                            |
| expectedDepositAmount               | string | Amount in cryptocurrency to be deposited to fulfil the required amount in `displayCurrency`                                                             |
| displayServiceFee                   | number | Monolo commission in `displayCurrency`for the concrete deposit                                                                                          |
| settlementServiceFee                | number | Monolo commission in `settlementCurrency`for the concrete deposit                                                                                       |
| expectedDisplayAmount               | number | Amount in `displayCurrency` requested for this payment                                                                                                  |
| network                             | string | The network on which this deposit occurred                                                                                                              |
| expirationTime                      | number | Timeframe at which the payment link against which this deposit was received expires                                                                     |
| paymentId                           | string | Unique Monolo payment identifier `UUID`                                                                                                                 |
| paymentReceivedAt                   | number | Timestamp when the payment was received `UNIX`                                                                                                          |
| paymentRequestedAt                  | number | Timestamp when the payment was requested `UNIX`                                                                                                         |
| status                              | string | Can be only CONFIRMED.                                                                                                                                  |
| rateType                            | string | Rate type of the deposit (FIXED or FLOATING). Depends on the payment rate type and the time frame within which the deposit was created by the end-user. |
| settlementRateDepegLossAmount       | number | Loss incurred from using the 1:1 deposit and display currencies market rate in `settlementCurrency`.                                                    |
| displayRateDepegLossAmount          | number | Loss incurred from using the 1:1 deposit and display currencies market rate in `depositCurrency`.                                                       |
| settlementDistributedUserServiceFee | string | distributed fee amount in settlement currency                                                                                                           |
| displayDistributedUserServiceFee    | string | distributed fee amount in display currency                                                                                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolo.io/references/callbacks/deposit-received.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
